Bug 668120 - firstboot: EULA needs to be updated
firstboot: EULA needs to be updated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2011-01-07 18:15 EST by Colin Walters
Modified: 2013-10-14 07:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 07:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (3.62 KB, patch)
2011-01-07 18:15 EST, Colin Walters
no flags Details | Diff

  None (edit)
Description Colin Walters 2011-01-07 18:15:59 EST
Created attachment 472316 [details]
patch

We shouldn't need to throw a ton of legalease at our users; anyone
    installing Fedora should have really seen background information about
    FOSS on the website, or when they were handed a CD at a conference,
    etc.
    
    Whether Fedora derivitives like RHEL want something like this is up to
    them, but it doesn't need to be in Fedora; they can carry it.
    
    One less click during an OS install, a few seconds closer to getting
    to what the user *really* wanted to do.
Comment 1 Colin Walters 2011-01-07 18:18:04 EST
Pretty sure spot said this was good, adding him to CC for explicit confirmation.
Comment 2 Chris Lumens 2011-01-08 11:19:42 EST
Since it was legal who wanted this in the first place, we must absolutely have their explicit OK before removing it.
Comment 3 Martin Gracik 2011-01-10 03:43:25 EST
I'm all for this, but as Chris said already, I need a confirmation from legal.
Comment 4 Tom "spot" Callaway 2011-01-17 16:15:20 EST
We can't do this yet. I'm working through the multiple legal concerns. Stay tuned.
Comment 5 Tom "spot" Callaway 2011-01-21 14:43:08 EST
This is not going to be possible, in fact, it is likely that we're going to need to change this screen significantly to comply with the necessary legal requirements.

I'm going to leave this bug open so that I can track it when I know for sure what needs to be done.
Comment 6 Colin Walters 2011-01-21 16:52:04 EST
(In reply to comment #5)
> This is not going to be possible, in fact, it is likely that we're going to
> need to change this screen significantly to comply with the necessary legal
> requirements.
> 
> I'm going to leave this bug open so that I can track it when I know for sure
> what needs to be done.

Ouch =(  Okay well at least we looked.  I don't care as much about legal stuff, users are basically trained to click "next" more or less immediately when presented with pages of legal gook.  The bigger fish to fry are the random roadblocks we throw up like Smolt that really should come later.
Comment 7 Martin Gracik 2011-01-24 04:19:19 EST
That's a shame. So just let me know what needs to be changed then. Thanks.
Comment 8 Fedora Admin XMLRPC Client 2011-02-16 10:49:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-02-16 11:09:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Martin Gracik 2012-03-14 06:07:51 EDT
So what will we do here? It's more than a year since someone commented on this.
Comment 11 Tom "spot" Callaway 2012-03-15 16:25:26 EDT
I believe the hope is that with the anaconda redesign, we will be able to accomplish this.
Comment 12 Tom "spot" Callaway 2012-03-15 16:25:55 EDT
Which is Fedora 18, at the earliest, I think...
Comment 13 Fedora End Of Life 2013-04-03 16:10:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 14 Fedora Admin XMLRPC Client 2013-10-14 05:17:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Vratislav Podzimek 2013-10-14 07:06:24 EDT
The firstboot utility is deprecated and no longer developed in Fedora 19 and newer releases. It was replaced by the initial-setup utility with a completely different codebase. If you still have any similar problems with Fedora 19 or later, please file a new bug against initial-setup or gnome-initial-setup if you did a GNOME install.

Note You need to log in before you can comment on or make changes to this bug.